import getClassMetadata from '@overflow/commons/util/metadata/getClassMetadata';

import * as METADATA from '../../constants';
import PouchDefinition from '../../config/PouchDefinition';

export const getPouchDefinition =
  <TFunction extends Function>(target: TFunction | Object, isCreate: boolean = false) =>
    getClassMetadata(target, METADATA.POUCH_DEFINITION, PouchDefinition, isCreate);
