import getClassMetadata from '@overflow/commons/util/metadata/getClassMetadata';

import * as METADATA from '../../constants';
import PouchInjectDefinition from '../../config/PouchInjectDefinition';

export const getPouchInjectDefinition =
  <TFunction extends Function>(target: TFunction | Object, isCreate: boolean = false) =>
    getClassMetadata(target, METADATA.POUCH_INJECT_DEFINITION, PouchInjectDefinition, isCreate);
