import getClassMetadata from '@overflow/commons/util/metadata/getClassMetadata';

import * as METADATA from '../../constants';
import ConfigurationDefinition from '../../config/ConfigurationDefinition';

export const getConfigurationDefinition =
  <TFunction extends Function>(target: TFunction | Object, isCreate: boolean = false) =>
    getClassMetadata(target, METADATA.CONTEXT_CONFIGURATION_DEFINITION, ConfigurationDefinition, isCreate);

